# Type alias gmfDisplayQueryGridOptions

gmfDisplayQueryGridOptions: { featuresStyle: StyleLike; maxRecenterZoom?: number; mergeTabs?: GridMergeTabs; removeEmptyColumns?: boolean; selectedFeatureStyle: StyleLike }

The display query grid component options.

#### Type declaration

- ##### featuresStyle: StyleLike

  A style object for all features from the result of the query.

- ##### `Optional` maxRecenterZoom?: number

  Maximum zoom-level to use when zooming to selected features.

- ##### `Optional` mergeTabs?: GridMergeTabs

  Configuration to merge grids with the same attributes into a single grid.

- ##### `Optional` removeEmptyColumns?: boolean

  Should empty columns be hidden? Default: `false`.

- ##### selectedFeatureStyle: StyleLike

  A style object for the currently selected features.

- Defined in config.ts:1067

Generated using TypeDoc